<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\DozentenUebersicht;

class DozentenUebersichtSetFilterController extends DozentenUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    if (!$this->isBrowserRefresh()) {
      $requestObj->suchParameter = $this->getFilterFromPost();
      $requestObj->aendereFilter = true;
    }

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    $suchApi = new \Kufer\Web\KuferTools\Utils\FilterSearch\DozentenSearchFilter();

    return $suchApi->getSearchMapFromRequest();
  }

  private function isBrowserRefresh()
  {
    
    return !\RequestOperations::isDefined('s_name');
  }
}